laforge has submitted this change. ( 
https://gerrit.osmocom.org/c/python/pyosmocom/+/38268?usp=email )

Change subject: contrib/jenkins: run pysim tests too
......................................................................

contrib/jenkins: run pysim tests too

Related: OS#6570
Change-Id: I6bb7f137d3124e68574bc599969a8e7fd8b68904
---
M contrib/jenkins.sh
1 file changed, 23 insertions(+), 0 deletions(-)

Approvals:
  laforge: Looks good to me, approved
  Jenkins Builder: Verified




diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index afd66eb..e5f8147 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -48,7 +48,30 @@
                make -C "docs" publish publish-html
        fi
        ;;
+"pysim")
+       # Run the pysim tests with pyosmocom from this tree (OS#6570)
+       virtualenv -p python3 venv --system-site-packages
+       . venv/bin/activate
+       pip install . --force-reinstall
+       deactivate

+       # Clone pysim and remove pyosmocom from requirements.txt, we want to
+       # use the version that was just installed into the venv instead
+       rm -rf pysim
+       git clone https://gerrit.osmocom.org/pysim --depth=1 --branch=master
+       cd pysim
+       sed -i '/^pyosmocom>=.*/d' requirements.txt
+       if grep -q pyosmocom requirements.txt; then
+               cat requirements.txt
+               set +x
+               echo "ERROR: failed to remove pyosmocom from pysim's 
requirements.txt"
+               exit 1
+       fi
+
+       # Let pysim enter the same venv and run the tests
+       ln -s ../venv .
+       SKIP_CLEAN_WORKSPACE=1 JOB_TYPE="test" contrib/jenkins.sh
+       ;;
 *)
        set +x
        echo "ERROR: JOB_TYPE has unexpected value '$JOB_TYPE'."

--
To view, visit https://gerrit.osmocom.org/c/python/pyosmocom/+/38268?usp=email
To unsubscribe, or for help writing mail filters, visit 
https://gerrit.osmocom.org/settings?usp=email

Gerrit-MessageType: merged
Gerrit-Project: python/pyosmocom
Gerrit-Branch: master
Gerrit-Change-Id: I6bb7f137d3124e68574bc599969a8e7fd8b68904
Gerrit-Change-Number: 38268
Gerrit-PatchSet: 3
Gerrit-Owner: osmith <[email protected]>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <[email protected]>

Reply via email to